﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Controls;
using System.Collections.ObjectModel;

namespace XamZoomarWidth
{
    /// <summary>
    /// Interaction logic for SecWindow.xaml
    /// </summary>
    public partial class SecWindow : Window
    {
        private ObservableCollection<ChartData> _data;
        public SecWindow()
        {
            InitializeComponent();


            _data = ChartData.GenerateData();
            DataContext = _data;

            //var binding = new Binding
            //{
            //    Source = FlowChart,
            //    Path = new PropertyPath("HorizontalZoombar.Range"),
            //    Mode = BindingMode.TwoWay
            //};
            //zoombar1.SetBinding(XamZoombar.RangeProperty, binding);
            //zoombar1.Range = new Range { Minimum = 0, Maximum = .2 };
            //DataContext = _data;
        }

        private void zoombar1_ZoomChanged_1(object sender, ZoomChangedEventArgs e)
        {
            var zoombar = sender as XamZoombar;
            var range = zoombar.Range;

            MessageBox.Show($"Min={range.Minimum},Max ={range.Maximum}");
            var min = range.Minimum;
            var max = range.Maximum;
            //FlowChart.WindowRectChanged += FlowChart_WindowRectChanged;
        }
    }


    public class ChartData
    {

        public DateTime TimeStamp { get; set; }
        public double Flow { get; set; }

        public ChartData()
        {

        }

        public static ObservableCollection<ChartData> GenerateData()
        {
            var data = new ObservableCollection<ChartData>();
            var StartTime = DateTime.Today.AddHours(9).AddMinutes(30);
            for (int i = 0; i < 390; i++)
            {

                var row = new ChartData
                {
                    //TimeStamp = DateTime.Now.Add(TimeSpan.FromDays(i)),
                    TimeStamp = StartTime,
                    Flow = i * 1028266
                };
                data.Add(row);
                StartTime = StartTime.AddMinutes(1);
            }
            
            return new ObservableCollection<ChartData>(data.OrderBy(x=> x.TimeStamp).ToList());
        }
    }
}
